// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.3
// 	protoc        (unknown)
// source: proto/claim_service.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ClaimRecord_Bucket int32

const (
	ClaimRecord_UNSPECIFIED ClaimRecord_Bucket = 0
	ClaimRecord_ROUTES      ClaimRecord_Bucket = 1
)

// Enum value maps for ClaimRecord_Bucket.
var (
	ClaimRecord_Bucket_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "ROUTES",
	}
	ClaimRecord_Bucket_value = map[string]int32{
		"UNSPECIFIED": 0,
		"ROUTES":      1,
	}
)

func (x ClaimRecord_Bucket) Enum() *ClaimRecord_Bucket {
	p := new(ClaimRecord_Bucket)
	*p = x
	return p
}

func (x ClaimRecord_Bucket) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ClaimRecord_Bucket) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_claim_service_proto_enumTypes[0].Descriptor()
}

func (ClaimRecord_Bucket) Type() protoreflect.EnumType {
	return &file_proto_claim_service_proto_enumTypes[0]
}

func (x ClaimRecord_Bucket) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ClaimRecord_Bucket.Descriptor instead.
func (ClaimRecord_Bucket) EnumDescriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{0, 0}
}

type ParentRecord_ApplicationModel int32

const (
	ParentRecord_UNSPECIFIED    ParentRecord_ApplicationModel = 0
	ParentRecord_GROUP          ParentRecord_ApplicationModel = 1
	ParentRecord_PROJECT        ParentRecord_ApplicationModel = 2
	ParentRecord_USER_NAMESPACE ParentRecord_ApplicationModel = 3
)

// Enum value maps for ParentRecord_ApplicationModel.
var (
	ParentRecord_ApplicationModel_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "GROUP",
		2: "PROJECT",
		3: "USER_NAMESPACE",
	}
	ParentRecord_ApplicationModel_value = map[string]int32{
		"UNSPECIFIED":    0,
		"GROUP":          1,
		"PROJECT":        2,
		"USER_NAMESPACE": 3,
	}
)

func (x ParentRecord_ApplicationModel) Enum() *ParentRecord_ApplicationModel {
	p := new(ParentRecord_ApplicationModel)
	*p = x
	return p
}

func (x ParentRecord_ApplicationModel) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ParentRecord_ApplicationModel) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_claim_service_proto_enumTypes[1].Descriptor()
}

func (ParentRecord_ApplicationModel) Type() protoreflect.EnumType {
	return &file_proto_claim_service_proto_enumTypes[1]
}

func (x ParentRecord_ApplicationModel) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ParentRecord_ApplicationModel.Descriptor instead.
func (ParentRecord_ApplicationModel) EnumDescriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{1, 0}
}

type OwnerRecord_Table int32

const (
	OwnerRecord_UNSPECIFIED OwnerRecord_Table = 0
	OwnerRecord_ROUTES      OwnerRecord_Table = 1
)

// Enum value maps for OwnerRecord_Table.
var (
	OwnerRecord_Table_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "ROUTES",
	}
	OwnerRecord_Table_value = map[string]int32{
		"UNSPECIFIED": 0,
		"ROUTES":      1,
	}
)

func (x OwnerRecord_Table) Enum() *OwnerRecord_Table {
	p := new(OwnerRecord_Table)
	*p = x
	return p
}

func (x OwnerRecord_Table) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (OwnerRecord_Table) Descriptor() protoreflect.EnumDescriptor {
	return file_proto_claim_service_proto_enumTypes[2].Descriptor()
}

func (OwnerRecord_Table) Type() protoreflect.EnumType {
	return &file_proto_claim_service_proto_enumTypes[2]
}

func (x OwnerRecord_Table) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use OwnerRecord_Table.Descriptor instead.
func (OwnerRecord_Table) EnumDescriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{2, 0}
}

type ClaimRecord struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Bucket        ClaimRecord_Bucket     `protobuf:"varint,1,opt,name=bucket,proto3,enum=gitlab.cells.topology_service.ClaimRecord_Bucket" json:"bucket,omitempty"`
	Value         string                 `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ClaimRecord) Reset() {
	*x = ClaimRecord{}
	mi := &file_proto_claim_service_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ClaimRecord) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClaimRecord) ProtoMessage() {}

func (x *ClaimRecord) ProtoReflect() protoreflect.Message {
	mi := &file_proto_claim_service_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClaimRecord.ProtoReflect.Descriptor instead.
func (*ClaimRecord) Descriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{0}
}

func (x *ClaimRecord) GetBucket() ClaimRecord_Bucket {
	if x != nil {
		return x.Bucket
	}
	return ClaimRecord_UNSPECIFIED
}

func (x *ClaimRecord) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type ParentRecord struct {
	state         protoimpl.MessageState        `protogen:"open.v1"`
	Model         ParentRecord_ApplicationModel `protobuf:"varint,1,opt,name=model,proto3,enum=gitlab.cells.topology_service.ParentRecord_ApplicationModel" json:"model,omitempty"`
	Id            int64                         `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ParentRecord) Reset() {
	*x = ParentRecord{}
	mi := &file_proto_claim_service_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ParentRecord) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ParentRecord) ProtoMessage() {}

func (x *ParentRecord) ProtoReflect() protoreflect.Message {
	mi := &file_proto_claim_service_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ParentRecord.ProtoReflect.Descriptor instead.
func (*ParentRecord) Descriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{1}
}

func (x *ParentRecord) GetModel() ParentRecord_ApplicationModel {
	if x != nil {
		return x.Model
	}
	return ParentRecord_UNSPECIFIED
}

func (x *ParentRecord) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type OwnerRecord struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Table         OwnerRecord_Table      `protobuf:"varint,1,opt,name=table,proto3,enum=gitlab.cells.topology_service.OwnerRecord_Table" json:"table,omitempty"`
	Id            int64                  `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *OwnerRecord) Reset() {
	*x = OwnerRecord{}
	mi := &file_proto_claim_service_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *OwnerRecord) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OwnerRecord) ProtoMessage() {}

func (x *OwnerRecord) ProtoReflect() protoreflect.Message {
	mi := &file_proto_claim_service_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OwnerRecord.ProtoReflect.Descriptor instead.
func (*OwnerRecord) Descriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{2}
}

func (x *OwnerRecord) GetTable() OwnerRecord_Table {
	if x != nil {
		return x.Table
	}
	return OwnerRecord_UNSPECIFIED
}

func (x *OwnerRecord) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type ClaimDetails struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Claim         *ClaimRecord           `protobuf:"bytes,1,opt,name=claim,proto3" json:"claim,omitempty"`
	Parent        *ParentRecord          `protobuf:"bytes,2,opt,name=parent,proto3" json:"parent,omitempty"`
	Owner         *OwnerRecord           `protobuf:"bytes,3,opt,name=owner,proto3" json:"owner,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ClaimDetails) Reset() {
	*x = ClaimDetails{}
	mi := &file_proto_claim_service_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ClaimDetails) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClaimDetails) ProtoMessage() {}

func (x *ClaimDetails) ProtoReflect() protoreflect.Message {
	mi := &file_proto_claim_service_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClaimDetails.ProtoReflect.Descriptor instead.
func (*ClaimDetails) Descriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{3}
}

func (x *ClaimDetails) GetClaim() *ClaimRecord {
	if x != nil {
		return x.Claim
	}
	return nil
}

func (x *ClaimDetails) GetParent() *ParentRecord {
	if x != nil {
		return x.Parent
	}
	return nil
}

func (x *ClaimDetails) GetOwner() *OwnerRecord {
	if x != nil {
		return x.Owner
	}
	return nil
}

type ClaimInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Details       *ClaimDetails          `protobuf:"bytes,2,opt,name=details,proto3" json:"details,omitempty"`
	CellInfo      *CellInfo              `protobuf:"bytes,3,opt,name=cell_info,json=cellInfo,proto3,oneof" json:"cell_info,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ClaimInfo) Reset() {
	*x = ClaimInfo{}
	mi := &file_proto_claim_service_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ClaimInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClaimInfo) ProtoMessage() {}

func (x *ClaimInfo) ProtoReflect() protoreflect.Message {
	mi := &file_proto_claim_service_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClaimInfo.ProtoReflect.Descriptor instead.
func (*ClaimInfo) Descriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{4}
}

func (x *ClaimInfo) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ClaimInfo) GetDetails() *ClaimDetails {
	if x != nil {
		return x.Details
	}
	return nil
}

func (x *ClaimInfo) GetCellInfo() *CellInfo {
	if x != nil {
		return x.CellInfo
	}
	return nil
}

type CreateClaimRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Details       *ClaimDetails          `protobuf:"bytes,1,opt,name=details,proto3" json:"details,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateClaimRequest) Reset() {
	*x = CreateClaimRequest{}
	mi := &file_proto_claim_service_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateClaimRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateClaimRequest) ProtoMessage() {}

func (x *CreateClaimRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_claim_service_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateClaimRequest.ProtoReflect.Descriptor instead.
func (*CreateClaimRequest) Descriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{5}
}

func (x *CreateClaimRequest) GetDetails() *ClaimDetails {
	if x != nil {
		return x.Details
	}
	return nil
}

type CreateClaimResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Claim         *ClaimInfo             `protobuf:"bytes,1,opt,name=claim,proto3" json:"claim,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CreateClaimResponse) Reset() {
	*x = CreateClaimResponse{}
	mi := &file_proto_claim_service_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CreateClaimResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateClaimResponse) ProtoMessage() {}

func (x *CreateClaimResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_claim_service_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateClaimResponse.ProtoReflect.Descriptor instead.
func (*CreateClaimResponse) Descriptor() ([]byte, []int) {
	return file_proto_claim_service_proto_rawDescGZIP(), []int{6}
}

func (x *CreateClaimResponse) GetClaim() *ClaimInfo {
	if x != nil {
		return x.Claim
	}
	return nil
}

var File_proto_claim_service_proto protoreflect.FileDescriptor

var file_proto_claim_service_proto_rawDesc = []byte{
	0x0a, 0x19, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x5f, 0x73, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f,
	0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x1a, 0x15, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2f, 0x63, 0x65, 0x6c, 0x6c, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x95, 0x01, 0x0a, 0x0b, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x63, 0x6f, 0x72,
	0x64, 0x12, 0x49, 0x0a, 0x06, 0x62, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x31, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73,
	0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x2e, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x42, 0x75,
	0x63, 0x6b, 0x65, 0x74, 0x52, 0x06, 0x62, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x14, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x22, 0x25, 0x0a, 0x06, 0x42, 0x75, 0x63, 0x6b, 0x65, 0x74, 0x12, 0x0f, 0x0a, 0x0b,
	0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0a, 0x0a,
	0x06, 0x52, 0x4f, 0x55, 0x54, 0x45, 0x53, 0x10, 0x01, 0x22, 0xc3, 0x01, 0x0a, 0x0c, 0x50, 0x61,
	0x72, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x52, 0x0a, 0x05, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x3c, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67,
	0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74,
	0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x41, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x4f,
	0x0a, 0x10, 0x41, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x12, 0x0f, 0x0a, 0x0b, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45,
	0x44, 0x10, 0x00, 0x12, 0x09, 0x0a, 0x05, 0x47, 0x52, 0x4f, 0x55, 0x50, 0x10, 0x01, 0x12, 0x0b,
	0x0a, 0x07, 0x50, 0x52, 0x4f, 0x4a, 0x45, 0x43, 0x54, 0x10, 0x02, 0x12, 0x12, 0x0a, 0x0e, 0x55,
	0x53, 0x45, 0x52, 0x5f, 0x4e, 0x41, 0x4d, 0x45, 0x53, 0x50, 0x41, 0x43, 0x45, 0x10, 0x03, 0x22,
	0x8b, 0x01, 0x0a, 0x0b, 0x4f, 0x77, 0x6e, 0x65, 0x72, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12,
	0x46, 0x0a, 0x05, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x30,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f,
	0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x4f,
	0x77, 0x6e, 0x65, 0x72, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x54, 0x61, 0x62, 0x6c, 0x65,
	0x52, 0x05, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x24, 0x0a, 0x05, 0x54, 0x61, 0x62, 0x6c, 0x65,
	0x12, 0x0f, 0x0a, 0x0b, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x0a, 0x0a, 0x06, 0x52, 0x4f, 0x55, 0x54, 0x45, 0x53, 0x10, 0x01, 0x22, 0xd7, 0x01,
	0x0a, 0x0c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x40,
	0x0a, 0x05, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70,
	0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c,
	0x61, 0x69, 0x6d, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x05, 0x63, 0x6c, 0x61, 0x69, 0x6d,
	0x12, 0x43, 0x0a, 0x06, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x2b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e,
	0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2e, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x06, 0x70,
	0x61, 0x72, 0x65, 0x6e, 0x74, 0x12, 0x40, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65,
	0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x2e, 0x4f, 0x77, 0x6e, 0x65, 0x72, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x22, 0xbb, 0x01, 0x0a, 0x09, 0x43, 0x6c, 0x61, 0x69,
	0x6d, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x45, 0x0a, 0x07, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x44, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x52, 0x07, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x49, 0x0a, 0x09,
	0x63, 0x65, 0x6c, 0x6c, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x27, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74,
	0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e,
	0x43, 0x65, 0x6c, 0x6c, 0x49, 0x6e, 0x66, 0x6f, 0x48, 0x00, 0x52, 0x08, 0x63, 0x65, 0x6c, 0x6c,
	0x49, 0x6e, 0x66, 0x6f, 0x88, 0x01, 0x01, 0x42, 0x0c, 0x0a, 0x0a, 0x5f, 0x63, 0x65, 0x6c, 0x6c,
	0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x22, 0x5b, 0x0a, 0x12, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43,
	0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x45, 0x0a, 0x07, 0x64,
	0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f,
	0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c, 0x61,
	0x69, 0x6d, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x07, 0x64, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x22, 0x55, 0x0a, 0x13, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43, 0x6c, 0x61, 0x69,
	0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3e, 0x0a, 0x05, 0x63, 0x6c, 0x61,
	0x69, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79,
	0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x49, 0x6e,
	0x66, 0x6f, 0x52, 0x05, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x32, 0xf5, 0x01, 0x0a, 0x0c, 0x43, 0x6c,
	0x61, 0x69, 0x6d, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x6d, 0x0a, 0x08, 0x47, 0x65,
	0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x12, 0x2e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x76, 0x0a, 0x0b, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x12, 0x31, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79,
	0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43,
	0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x32, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c,
	0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x00, 0x42, 0xd2, 0x01, 0x0a, 0x21, 0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x11, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x08, 0x2e, 0x2e,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0xa2, 0x02, 0x03, 0x47, 0x43, 0x54, 0xaa, 0x02, 0x1c, 0x47,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x54, 0x6f, 0x70, 0x6f,
	0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0xca, 0x02, 0x1c, 0x47, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x5c, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x5c, 0x54, 0x6f, 0x70, 0x6f, 0x6c,
	0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0xe2, 0x02, 0x28, 0x47, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x5c, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x5c, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f,
	0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x1e, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x3a, 0x3a,
	0x43, 0x65, 0x6c, 0x6c, 0x73, 0x3a, 0x3a, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_claim_service_proto_rawDescOnce sync.Once
	file_proto_claim_service_proto_rawDescData = file_proto_claim_service_proto_rawDesc
)

func file_proto_claim_service_proto_rawDescGZIP() []byte {
	file_proto_claim_service_proto_rawDescOnce.Do(func() {
		file_proto_claim_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_claim_service_proto_rawDescData)
	})
	return file_proto_claim_service_proto_rawDescData
}

var file_proto_claim_service_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_proto_claim_service_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_proto_claim_service_proto_goTypes = []any{
	(ClaimRecord_Bucket)(0),            // 0: gitlab.cells.topology_service.ClaimRecord.Bucket
	(ParentRecord_ApplicationModel)(0), // 1: gitlab.cells.topology_service.ParentRecord.ApplicationModel
	(OwnerRecord_Table)(0),             // 2: gitlab.cells.topology_service.OwnerRecord.Table
	(*ClaimRecord)(nil),                // 3: gitlab.cells.topology_service.ClaimRecord
	(*ParentRecord)(nil),               // 4: gitlab.cells.topology_service.ParentRecord
	(*OwnerRecord)(nil),                // 5: gitlab.cells.topology_service.OwnerRecord
	(*ClaimDetails)(nil),               // 6: gitlab.cells.topology_service.ClaimDetails
	(*ClaimInfo)(nil),                  // 7: gitlab.cells.topology_service.ClaimInfo
	(*CreateClaimRequest)(nil),         // 8: gitlab.cells.topology_service.CreateClaimRequest
	(*CreateClaimResponse)(nil),        // 9: gitlab.cells.topology_service.CreateClaimResponse
	(*CellInfo)(nil),                   // 10: gitlab.cells.topology_service.CellInfo
	(*GetCellsRequest)(nil),            // 11: gitlab.cells.topology_service.GetCellsRequest
	(*GetCellsResponse)(nil),           // 12: gitlab.cells.topology_service.GetCellsResponse
}
var file_proto_claim_service_proto_depIdxs = []int32{
	0,  // 0: gitlab.cells.topology_service.ClaimRecord.bucket:type_name -> gitlab.cells.topology_service.ClaimRecord.Bucket
	1,  // 1: gitlab.cells.topology_service.ParentRecord.model:type_name -> gitlab.cells.topology_service.ParentRecord.ApplicationModel
	2,  // 2: gitlab.cells.topology_service.OwnerRecord.table:type_name -> gitlab.cells.topology_service.OwnerRecord.Table
	3,  // 3: gitlab.cells.topology_service.ClaimDetails.claim:type_name -> gitlab.cells.topology_service.ClaimRecord
	4,  // 4: gitlab.cells.topology_service.ClaimDetails.parent:type_name -> gitlab.cells.topology_service.ParentRecord
	5,  // 5: gitlab.cells.topology_service.ClaimDetails.owner:type_name -> gitlab.cells.topology_service.OwnerRecord
	6,  // 6: gitlab.cells.topology_service.ClaimInfo.details:type_name -> gitlab.cells.topology_service.ClaimDetails
	10, // 7: gitlab.cells.topology_service.ClaimInfo.cell_info:type_name -> gitlab.cells.topology_service.CellInfo
	6,  // 8: gitlab.cells.topology_service.CreateClaimRequest.details:type_name -> gitlab.cells.topology_service.ClaimDetails
	7,  // 9: gitlab.cells.topology_service.CreateClaimResponse.claim:type_name -> gitlab.cells.topology_service.ClaimInfo
	11, // 10: gitlab.cells.topology_service.ClaimService.GetCells:input_type -> gitlab.cells.topology_service.GetCellsRequest
	8,  // 11: gitlab.cells.topology_service.ClaimService.CreateClaim:input_type -> gitlab.cells.topology_service.CreateClaimRequest
	12, // 12: gitlab.cells.topology_service.ClaimService.GetCells:output_type -> gitlab.cells.topology_service.GetCellsResponse
	9,  // 13: gitlab.cells.topology_service.ClaimService.CreateClaim:output_type -> gitlab.cells.topology_service.CreateClaimResponse
	12, // [12:14] is the sub-list for method output_type
	10, // [10:12] is the sub-list for method input_type
	10, // [10:10] is the sub-list for extension type_name
	10, // [10:10] is the sub-list for extension extendee
	0,  // [0:10] is the sub-list for field type_name
}

func init() { file_proto_claim_service_proto_init() }
func file_proto_claim_service_proto_init() {
	if File_proto_claim_service_proto != nil {
		return
	}
	file_proto_cell_info_proto_init()
	file_proto_claim_service_proto_msgTypes[4].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_claim_service_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_claim_service_proto_goTypes,
		DependencyIndexes: file_proto_claim_service_proto_depIdxs,
		EnumInfos:         file_proto_claim_service_proto_enumTypes,
		MessageInfos:      file_proto_claim_service_proto_msgTypes,
	}.Build()
	File_proto_claim_service_proto = out.File
	file_proto_claim_service_proto_rawDesc = nil
	file_proto_claim_service_proto_goTypes = nil
	file_proto_claim_service_proto_depIdxs = nil
}
